> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Integration

> Update an integration based on the ID supplied



## OpenAPI

````yaml openapi-ruth-connect PATCH /ruth-connect/integrations/{integration_id}
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /ruth-connect/integrations/{integration_id}:
    patch:
      description: Update an integration based on the ID supplied
      parameters:
        - name: integration_id
          in: path
          description: ID of integration to update
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    api_key:
                      type: string
      responses:
        '200':
          description: Integration updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationsResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IntegrationsResponse:
      type: object
      properties:
        msg:
          type: string
          description: Message from the API
          example: Integrations retrieved successfully
        err:
          type: boolean
          description: Error flag
          example: false
        results:
          $ref: '#/components/schemas/RuthConnectIntegration'
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          description: Indicates if the response is an error
        msg:
          type: string
          description: Message from the API
    RuthConnectIntegration:
      type: object
      properties:
        integration_id:
          type: string
          format: uuid
          description: Unique identifier for the integration
          example: 123e4567-e89b-12d3-a456-426614174000
        app_name:
          type: string
          description: Name of the application
          example: My App
        friendly_app_name:
          type: string
          description: Friendly name of the application
          example: My App
        logo:
          type: string
          format: uri
          description: Logo of the application
        data:
          type: object
          properties:
            api_key:
              type: string
              description: API key for the application
              example: 123e4567-e89b-12d3-a456-426614174000
        tools:
          type: array
          items:
            type: string
            description: Tools available for the application
        is_custom_tool:
          type: boolean
          description: Indicates if the application is a custom tool
          example: false
        created_at:
          type: string
          format: date-time
          description: Date and time the integration was created
        updated_at:
          type: string
          format: date-time
          description: Date and time the integration was updated
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````